Subject: [OPSAWG] Ben Campbell's No Objection on draft-ietf-opsawg-capwap-alt-tunnel-11: (with COMMENT)

From: Ben Campbell <[email-masked]>
Date: Tue, 23 Jan 2018 19:37:37 -0800

Ben Campbell has entered the following ballot position for
draft-ietf-opsawg-capwap-alt-tunnel-11: No Objection

When responding, please keep the subject line intact and reply to all
email addresses included in the To and CC lines. (Feel free to cut this
introductory paragraph, however.)

Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
for more information about IESG DISCUSS and COMMENT positions.

The document, along with other ballot positions, can be found here:
https://datatracker.ietf.org/doc/draft-ietf-opsawg-capwap-alt-tunnel/

----------------------------------------------------------------------
COMMENT:
----------------------------------------------------------------------

-1, 3rd paragraph after figure 1: We should avoid using lawful intercept as a
justification for protocol mechanisms.

-1.3: Serving as an "archival record" seems like an odd use of "experimental".
That sounds more "informational" to me.

-7: I agree with Kathleen's comments about the security considerations.

Editorial Comments and Nits:

- The abbreviations that were expanded in the abstract should be expanded again
on the body.

-1, paragraph after figure 1: Missing article before the first occurrence of
"CAPWAP".

-1.3, first sentence: " Service Provider's " should either be " Service
Providers' " or "the Service Provider's

-2, 3rd paragraph after figure 5: Missing article before WTP (multiple
occurrences).

---

From: Duzongpeng <[email-masked]>
Date: Thu, 25 Jan 2018 07:07:26 +0000

Hi, Ben Campbell

	Thank you for proposing the problems.

	Please see inline.

	If no objections, I will update the draft accordingly.

	If any future problems, please connect me. Thanks.

Best Regards
Zongpeng Du

-----Original Message-----
From: Ben Campbell [mailto:[email-masked]] 
Sent: Wednesday, January 24, 2018 11:38 AM
To: The IESG <[email-masked]>
Cc: [email-masked]; Tianran Zhou <[email-masked]>; [email-masked]; [email-masked]; Tianran Zhou <[email-masked]>; [email-masked]
Subject: Ben Campbell's No Objection on draft-ietf-opsawg-capwap-alt-tunnel-11: (with COMMENT)

When responding, please keep the subject line intact and reply to all email addresses included in the To and CC lines. (Feel free to cut this introductory paragraph, however.)

-1, 3rd paragraph after figure 1: We should avoid using lawful intercept as a justification for protocol mechanisms.

[zongpeng]
Accept. We can delete the unnecessary explanations.

Old:
   Figure 1 describes a system with Local Bridging.  The AC is in a
   centralized location.  The data plane is locally bridged by the WTPs
   leading to a system with centralized control plane with distributed
   data plane.  This system has two benefits: 1) reduces the scale
   requirement on data traffic handling capability of the AC and 2)
   leads to more efficient/optimal routing of data traffic while
   maintaining centralized control/management.
New:
   Figure 1 describes a system with Local Bridging.  The AC is in a
   centralized location.  The data plane is locally bridged by the WTPs
   leading to a system with centralized control plane with distributed
   data plane.  

Would it be ok ?
[/zongpeng]

[zongpeng] 
There have been discussions about it among the authors, chairs, and the ADs. 
Finally, the "Experimental" type is decided.
It a hard decision to make whether the document should be "Experimental", "Informational" or "Historic".

Some personally understanding about it to share:

According to https://tools.ietf.org/html/rfc2026#section-4.2, the Informational type means:
   An "Informational" specification is published for the general
   information of the Internet community, and does not represent an
   Internet community consensus or recommendation.  The Informational
   designation is intended to provide for the timely publication of a
   very broad range of responsible informational documents from many
   sources, subject only to editorial considerations and to verification
   that there has been adequate coordination with the standards process
   (see section 4.2.3).

Our document is not for a timely publication of new information.
So it is not very proper for us to declare an Informational type.

Also in RFC2026, it is said that  
   The "Experimental" designation typically denotes a specification that
   is part of some research or development effort.  Such a specification
   is published for the general information of the Internet technical
   community and as an archival record of the work, subject only to
   editorial considerations and to verification that there has been
   adequate coordination with the standards process (see below).

So we consider that the "Experimental" type is more suitable here.
[/zongpeng]

[zongpeng] 
We have answered the comments from Kathleen, and made some changes to the section 7.  Security Considerations.
[/zongpeng]

- The abbreviations that were expanded in the abstract should be expanded again on the body.

[zongpeng]
Old:
   Service Providers are deploying very large Wi-Fi deployments (ranging
   from hundreds of thousands of Access Points, APs (referred to as WTPs
   in CAPWAP terminology) to millions of APs.
New:
	Service Providers are deploying very large Wi-Fi network containing 
   hundreds of thousands of Access Points (APs), which are referred to as 
	Wireless Transmission Points (WTPs) in Control and Provisioning of 
	Wireless Access Points (CAPWAP) terminology.

Old:
   o  802.3 Tunnel: All data frames are tunneled to the AC in 802.3
      format.
New:
   o  802.3 Tunnel: All data frames are tunneled to the Access Controller 
      (AC) in 802.3 format.

Old:
   Figure 2 shows a system where the tunnel mode is configured to tunnel
   data frames between the WTP and the AC either using 802.3 Tunnel or
   802.11 Tunnel configurations.  Operators deploy this configuration
   when they need to tunnel the user traffic.  The tunneling requirement
   may be driven by the need to apply policy at the AC or a legal
   requirement to support lawful intercept of user traffic.  This
   requirement could be met in the locally bridged system (Figure 1) if
   the access router implemented the required policy.
New:
	Figure 2 shows a system where the tunnel mode is configured to tunnel
   data frames between the WTP and the AC either using 802.3 Tunnel or
   802.11 Tunnel configurations.  Operators deploy this configuration
   when they need to tunnel the user traffic.  The tunneling requirement
   may be driven by the need to apply policy at the AC or a legal
   requirement to support lawful intercept of user traffic.  This
   requirement could be met in the locally bridged system (Figure 1) if
   the Access Router (AR) implemented the required policy.

[/zongpeng]

-1, paragraph after figure 1: Missing article before the first occurrence of "CAPWAP".

[zongpeng] 
I think the first one of the modifications above can solve the problem. Is it OK?
[/zongpeng]

-1.3, first sentence: " Service Provider's " should either be " Service Providers' " or "the Service Provider's

[zongpeng] 
Agree. We prefer the " Service Providers' ". Thanks.
[/zongpeng]

-2, 3rd paragraph after figure 5: Missing article before WTP (multiple occurrences).
[zongpeng] 
If we have modified it in the section 1, I think it would be ok to use the WTP directly here. Can you agree?
[/zongpeng]